Subject: Re: git-svn feature requests

From: Dennis Schridde <[email-masked]>
Date: Wed, 14 May 2008 01:41:50 +0200

Am Sonntag, 11. Mai 2008 18:04:54 schrieb Dennis Schridde:
> Hello!
>
> I am missing two features in git-svn, which are:
> (a) git-svn-dcommit should give credits to other authors when I commit
> their patches.
> I imported a patch from another author via git-am, and then svn-dcommited
> it, but git-svn striped the author information. It should do something
> like: if (author != me) write(commitmessage, "Author: %author%");
Addition to this:
Information like the date of the original commit may also be useful.

> (b) git-svn-rebase should have the location configurable where it tries to
> svn-up/svn-commit from/to, instead of searching the commits in the history
> for git-svn-id tags.
> I tried to maintain a git-svn clone of a repository, fetching from a svn://
> address, but when I use it locally I need to commit via svn+ssh://
> (while "updating" from the git-svn mirror).
> This did not seem to work. Even after rewriting the svn addresses in the
> commitlogs git-svn was unable to find the svn repository in the history.
>
> I tried to create a patch for this myself, but I clashed a bit with my
> knowledge of Perl (or the complete lack thereof), so I hope it might be
> easier for you to do it.
>
> Thanks in advance,
> Dennis
>
> PS: Please CC me on replies, because I am not subscribed to this list.